<h1>.NET - Event Log</h1>

<p>
	This example queries the Windows Event Log via .NET and displays the results via &lt;cfgrid&gt;
</p>

<script language="javascript">
	
	function initGrid()
	{
		var thisGrid = ColdFusion.Grid.getGridObject('grid');
		thisGrid.on('rowclick', myClickHandler);
	}
	ColdFusion.Event.registerOnLoad(initGrid, null, false, true);
	
	function myClickHandler(grid, row, evt)
	{
		var selected = grid.getSelectionModel().getSelected();
		detail = document.getElementById('detail');
		detail.value = selected.get('MESSAGE');
	}

</script>

<cfform name="main">
	
	<cfselect name="log" bind="cfc:com.adobe.demo.WindowsService.getEventLogs()" bindOnLoad="true" />
	
	<cfinput name="keyword" />

	<cfgrid name="grid" format="html" pageSize="10"
			bind="cfc:com.adobe.demo.WindowsService.getEventLog_cfgrid({log}, {keyword}, {cfgridpage},{cfgridpagesize},{cfgridsortcolumn},{cfgridsortdirection})"
			stripeRows="true" stripeRowColor="##e0e0e0" width="600">
        <cfgridcolumn name="type" header="Type" display="true" />
		<cfgridcolumn name="eventid" header="Event" display="true" />
		<cfgridcolumn name="source" header="Source" display="true" />
		<cfgridcolumn name="generated" header="Date/Time" display="true" width="300" />
		<cfgridcolumn name="message" header="Detail" display="false" />
	</cfgrid>
	
	<textarea id="detail" style="width:600px;height:200px;"></textarea>
	
</cfform>


<img src="CF8power-200.jpg" border=1 />
